
CoCoALib - Feature #366

function (CoCoALib) for minimal generators (like old Minimalize)

11 Jun 2013 14:58 - Anna Maria Bigatti

Status: Closed Start date: 11 Jun 2013

Priority: High Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: New Function Estimated time: 10.00 hours

Target version: CoCoALib-0.99532 Spent time: 6.50 hours

Description

Might require some thoughts about GBMill

2014-04-02 postponed again GBMill.  Added functions MinGens and myMinimalize (but design for ideals still needs re-thinking)

Related issues:

Related to CoCoALib - Design #455: Which sets of generators in an ideal? New 03 Mar 2014

Related to CoCoA-5 - Feature #365: add function to compute minimal generators... Closed 11 Jun 2013

Related to CoCoALib - Feature #387: implement algorithm(s) for resolutions New 23 Jul 2013

Related to CoCoA-5 - Design #1123: Should "minimalize" be obsolescent? Closed 16 Nov 2017

History

#1 - 11 Jun 2013 17:24 - Anna Maria Bigatti

- Status changed from New to In Progress

- Assignee set to Anna Maria Bigatti

- Priority changed from Normal to High

- % Done changed from 0 to 40

#2 - 11 Jun 2013 19:05 - Anna Maria Bigatti

- % Done changed from 40 to 50

#3 - 21 Mar 2014 10:46 - Anna Maria Bigatti

- Target version changed from CoCoA-5.0.9 to CoCoALib-0.99534 Seoul14

- % Done changed from 50 to 60

What should minimalize(I) do?

The cocoa-4 function would create a new ideal (submodule) generated by MinGens(I).

Of course that's easy to do.  But it seems a real waste to remove all useful information contained in I, the GBasis at least.

Think about what should be copied into the new ideal.

#4 - 28 Mar 2014 08:18 - Anna Maria Bigatti

- Status changed from In Progress to Resolved

- % Done changed from 60 to 80

Done.

The core function is called myMinimalize and is clever (i.e. saves all the precomputed data)

Called similarly to myElim and mySaturate.  There is no "function" (i.e. minimalize(I))

Yet to do: for submodule.
#5 - 02 Apr 2014 16:01 - Anna Maria Bigatti

- Status changed from Resolved to Feedback

- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-0.99532

- % Done changed from 80 to 90

#6 - 02 Apr 2014 16:04 - Anna Maria Bigatti

- Subject changed from implement function for minimal generators (like old Minimalize) to function (CoCoALib) for minimal generators (like old

Minimalize)

#7 - 03 Apr 2014 11:52 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time set to 10.00 h

#8 - 16 Nov 2017 11:54 - Anna Maria Bigatti

- Related to Design #1123: Should "minimalize" be obsolescent? added
